#include <bits/stdc++.h>

using namespace std;

int main()
{
    int N, K, prv, posl, p;
    cin >> N >> K;
    cin >> prv;
    if(prv == K){
        cin >> p;
        cout << p;
    }
    else{
        for(int i = 1; i < N - 1; i++){
            cin >> p;
            if(p == K){
                cin >> p;
                cout << p;
            }
        }
        cin >> posl;
        if(posl == K){
            cout << prv;
        }
    }

    return 0;
}